// pages/activity/activity.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    url: 'http://192.168.0.111:8080/culturalactivity/',
    imgUrl: 'http://192.168.0.111:8080/culturalactivity/route/file/downloadfile/true/',
    dataList: []
  },
  goDetail: function (e) {
    var id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '../activityDetail/activityDetail?id=' + id
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var self = this;
    wx.request({
      url: self.data.url + 'wxminiapp/activitylibrary/listpageactivitylibraryfornetrelease',
      success: function(res) {
        if('200' == res.statusCode) {
          for(var item of res.data.rows) {
            if('' != item.activityImage) {
                item.activityImage = self.data.imgUrl + item.activityImage;
              }
          }
          self.setData({
            dataList: res.data.rows,
          })
        }
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})